Reinforcement HelicalRebar

From FreeCAD Documentation
Revision as of 23:09, 27 November 2018 by Vocx (talk | contribs) ({{Arch Tools navi}} {{Userdocnavi}} Category:Reinforcement)

Arch Rebar Helical

Menu location
Arch → Rebar tools
Workbenches
Arch, BIM
Default shortcut
None
Introduced in version
-
See also
Stirrup Rebar, Arch Rebar

Description

The Helical Rebar tool allows user to create a helical reinforcing bar in the structural element.

One set of helical reinforcement bars inside a structural element

How to use

  1. Create a structure element.
  2. Select any face of the structure.
  3. Then select Helical Rebar from the rebar tools.
  4. A task panel will pop-out on the left side of the screen as shown below.
  5. Select the desired orientation.
  6. Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar.
  7. Select the mode of distribution either amount or spacing.
  8. If spacing is selected, a user can also opt for custom spacing.
  9. Pick selected face is used to verify or change the face for rebar distribution.
  10. Click OK or Apply to generate the rebars.
  11. Click Cancel to exit the task panel.

Taskview panel for the Arch Rebar Helical tool

Properties

  • DataSide Cover: The distance between rebar to the curved face.
  • DataTop Cover: The distance between rebar from the top face of the structure.
  • DataBottom Cover: The distance between rebar from the bottom face of the structure.
  • DataPitch: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
  • DataDiameter: Diameter of the rebar.

Scripting

The Helical Rebar tool can by used in macros and from the python console by using the following function:

makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
  • Adds a Straight reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example:

Creating Helical rebar.

import Arch, Draft, HelicalRebar
# Creating circle
pl=FreeCAD.Placement()
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")

Changing properties of Helical rebar.

import HelicalRebar
HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)